<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>TODO supply a title</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    </head>
    <body>
        <div>
            Number 1: <input type="text" id="num1"><br>
            Number 2: <input type="text" id="num2"><br>
            <input type="button" id="button" value="Generate Random Number in Between"><br>
            Random Number Between: <input type="text" id="random">
        </div>
        <script>
            function assignEvents(e) {
                document.getElementById("button").addEventListener("click", randomBetween);
            }
            function randomBetween() {
                var num1 = parseInt(document.getElementById("num1").value);
                var num2 = parseInt(document.getElementById("num2").value);
                if (num1 > num2) {
                    random = Math.floor((Math.random() * (num1-num2-1)) + num2);

                } else {
                    random = Math.floor((Math.random() * (num2-num1-1)) + num1);
                }
                document.getElementById("random").value = random;
            }
            document.addEventListener("DOMContentLoaded", assignEvents);
        </script>
    </body>
</html>
